
Foreman - Bug #10826

Operatingsystem does not enforce 'title' uniquness at database

06/15/2015 04:52 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Database   

Target version: 1.10.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2543

  

Description

Operating system currently does not enforce a unique title at the database level.  The result of this is that race conditions can occur

which cause the creation of duplicate operating systems with titles that are not unique.  To make matters worse you cannot update

these operating systems without deleting all but one of the duplicates (which is confusing for the user).

I'm unsure how to handle existing Operating Systems that may have duplicates

Associated revisions

Revision 602f52a4 - 07/29/2015 04:11 AM - Ondřej Pražák

Fixes #10826 - Adds unique constraint to the title in operatingsystem table

History

#1 - 07/15/2015 02:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2543 added

- Pull request deleted ()

#2 - 07/28/2015 11:58 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 63

#3 - 07/29/2015 05:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 602f52a4e5ddc9bc8ec6c7a63d9db627007e6116.
